<?php defined('_JEXEC') or die('Acesso restrito!'); ?>

<div id="mymural_container">

    <h1 class="componentheading"><?php echo $this->titulo; ?></h1>
    <div id="texto_introducao_mymural"><?php echo $this->intro; ?></div>


    <div id="mymural_novo_recado">

        <a href="javascript:void(0)" id="exibir_postar_recado">Clique aqui para deixar seu Recado no Mural</a>
        <div id="espaco_link"></div>
        <div id="postar_recado">
            <div id="titulo_form_recado">Postar Recado:</div>
            <br />

            <form action="index.php" method="post" name="frm_postar_recado" id="frm_postar_recado" enctype="multipart/form-data">

                <input type="hidden" name="option" value="<?php echo $option; ?>" />
                <input type="hidden" name="task" value="enviar_recado" />

                <label for="area_recado">
                    <span class="campo">Área Associativa:</span>
                    <select name="area_recado" id="area_recado" class="text_area required">

                        <?php
                        $db = & JFactory::getDBO();
                        $query = "SELECT * FROM #__mymural_areas WHERE published = '1'";
                        $db->setQuery($query);
                        $db->query();
                        $resultado = $db->loadObjectList();

                        foreach ($resultado as $local) {
                            ?>

                            <option value="<?php echo $local->id; ?>"><?php echo $local->nome; ?></option>

                        <?php } ?>

                    </select>
                </label>

                <br /><br />

                <label for="nome_recado">
                    <span class="campo">Nome:</span> <input type="text" name="nome_recado" id="nome_recado" size="50" maxlength="250" class="text_area required" value="" />
                </label>

                <br /><br />
                
                
                <label for="email_recado">
                    <span class="campo">E-mail:</span> <input type="text" name="email_recado" id="email_recado" size="50" maxlength="250" class="text_area required" value="" />
                </label>

                <br /><br />

                <label for="profissao_recado">
                    <span class="campo">Profissão:</span> <input type="text" name="profissao_recado" id="profissao_recado" size="50" maxlength="250" class="text_area required" value="" />
                </label>
                <br /><br />


                <label for="cidade_uf_recado">
                    <span class="campo">Cidade / UF:</span> <input type="text" name="cidade_uf_recado" id="cidade_uf_recado" size="50" maxlength="250" class="text_area required" value="" />
                </label>

                <br /><br />

                <label for="mensagem_recado">
                    <span class="campo">Digite seu recado:</span> <textarea name="mensagem_recado" id="mensagem_recado"></textarea>
                </label>

                <br />

                <label style="margin-top: 10px;">
                    <span class="campo">&nbsp;</span>
                    <em>Caracteres restantes para utilizar no recado: <span id="caracteres_mensagem" style="font-weight:bold;"></span></em>
                </label>

                <br /><br />

                <label for="foto_recado">
                    <span class="campo">Anexe sua Foto:</span> <input type="file" name="foto_recado" id="foto_recado" />
                </label>

                <br /><br />

                <div id="campos_captcha">
                    <label for="img_captcha" id="codigo_captcha">
                        <span class="campo">&nbsp;</span>
                        <span id="imagem_captcha"></span>
                    </label>

                    <br /><br />

                    <label for="atualizar_captcha">
                        <span class="campo">&nbsp;</span>
                        <img src="components/com_mymural/assets/images/reload-captcha.jpg" alt="" />
                        <a href="javascript:void(0)" id="getCaptcha" title="Atualizar C&oacute;digo de Seguran&ccedil;a">Atualizar C&oacute;digo de Seguran&ccedil;a</a>
                    </label>

                    <br /><br />

                    <label for="security_code">
                        <span class="campo">Digite o C&oacute;digo:</span> <input id="security_code" name="security_code" type="text" maxlength="5" />
                    </label>

                    <br /><br />
                </div>

                <label for="botao">
                    <span class="campo">&nbsp;</span>
                    <button type="button" name="cancelar_recado" id="cancelar_recado">Cancelar</button>
                    <button type="button" name="enviar_recado" id="enviar_recado">Enviar Recado</button>
                    <span id="loading_mymural"><img src="components/com_mymural/assets/css/loading.gif" alt="Carregando..." /></span>
                </label>

                <?php echo JHTML::_('form.token'); // isso faz o Joomla gerar uma chave de segurança  ?>

            </form>
            <br /><br />

        </div>
    </div>




    <div id="listagem_recados">

        <form action="index.php" method="post" name="frmPesquisarMyMural">


            <div id="mymural_filtro">

                <?php echo JText::_('Pesquisar'); ?>:

                <input type="text" name="search" id="search" value="<?php echo $this->busca; ?>" class="text_area" onchange="document.adminForm.submit();" />

                <button onclick="this.form.submit();">
                    <?php echo JText::_('Buscar'); ?>
                </button>              
                
                <?php
                
                    if($this->busca != ""){
                        
                        ?>               
                <button onclick="document.getElementById('search').value=''; this.form.getElementById('filter_state').value=''; this.form.submit();">
                        <?php echo JText::_('Limpar pesquisa e listar todos os recados'); ?>
                    </button>
                
                <div id="mymural_resultado_busca">
                    
                    Resultados de pesquisa por: "<span><?php echo $this->busca; ?></span>" 
                    
<!--                    <button onclick="document.getElementById('search').value=''; this.form.getElementById('filter_state').value=''; this.form.submit();">
                        <?php echo JText::_('Limpar pesquisa e listar todos os recados'); ?>
                    </button>-->
                    
                </div>
                
                        <?php
                    }
                    
                ?>
                
                <div id="mymural_total_recados"><br />
                    <?php 
                        if($this->total == '0'){
                            echo "";
                        }
                        else if($this->total < $this->limit){
                            if($this->total == 1)
                                echo 'Exibindo <strong>' . $this->total . '</strong> recado.'; 
                            else
                                echo 'Exibindo <strong>' . $this->total . '</strong> recados.'; 
                        }
                        else{
                            echo 'Exibindo <strong>' . $this->inicio . '</strong> a <strong>' . $this->fim . '</strong> de <strong>' . $this->total . '</strong> recados.'; 
                        }
                        
                    ?>
                    
                </div>

            </div>
            
            
            <input type="hidden" name="option" value="<?php echo $option; ?>" />
            <input type="hidden" name="task" value="pesquisar_mymural" />
            
            
           <?php echo JHTML::_('form.token'); // isso faz o Joomla gerar uma chave de segurança  ?>

        </form>


            
            <div class="paginacao_mural"><?php echo $this->pagination->getListFooter(); ?></div>

            <br />

            <?php
            foreach ($this->recados as $recado):

                if ($recado->imagem != null || $recado->imagem != "") {
                    $fotoRecado = '<span class="foto_recado"><img src="' . $recado->imagem . '" alt="MyMural - Foto" /></span>';
                } else {
                    $fotoRecado = "";
                }
                $dataPostagem = substr($recado->data_cadastro, 8, 2) . "/" . substr($recado->data_cadastro, 5, 2) . "/" . substr($recado->data_cadastro, 0, 4);
                $dataPostagem .= ' &agrave;s ' . substr($recado->data_cadastro, 11, 2) . 'h' . substr($recado->data_cadastro, 14, 2);
                ?>
                <div class="recado_mural">
                    <?php echo $fotoRecado; ?>
                    <h4><?php echo $recado->nome; ?></h4>
                    <div class="info_recado">
                        <?php
                        $db = JFactory::getDBO();
                        $query = 'SELECT nome FROM #__mymural_areas WHERE id = ' . $recado->area;
                        $db->setQuery($query);
                        $db->query();
                        $nomeArea = $db->loadResult();
                        ?>

                        <strong><?php echo $recado->profissao; ?></strong>, de <strong><?php echo $recado->cidade_uf; ?></strong>.<br />
                        Recado postado em <strong><?php echo $dataPostagem; ?></strong>, na área <strong><?php echo $nomeArea; ?></strong>.
                    </div>
                    <br />

                    <p align="jusfity"><?php echo $recado->mensagem; ?></p>
                    <div style="clear:both;"></div>
                </div>

            <?php endforeach; ?>
            <br />

            <div class="paginacao_mural"><?php echo $this->pagination->getListFooter(); ?></div>

            <div id="creditos_mymural">by <a href="http://www.hcferreira.com.br" title="Saiba mais sobre o MyMural" target="_blank">MyMural</a></div>

            

    </div>
</div>